For the complete documentation index, see llms.txt. This page is also available as Markdown.

Main Product Groups

Manage VARIO Cloud main product groups via API, including labels, descriptions, target trading margins, custom data, activation and deletion.

the IdentifierType API

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · max: 50Required

Hauptwarengruppe

descriptionstring · max: 255Optional

Beschreibung der Hauptwarengruppe

activebooleanRead-onlyOptional

Hauptwarengruppe aktiv ja/nein

Default: true
targetTradingMarginnumberOptional

Soll-Handelsspanne

get/erp/product-types/main-product-groups/{id}
GET /erp/product-types/main-product-groups/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "active": true,
  "targetTradingMargin": 1,
  "custom": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · max: 50Required

Hauptwarengruppe

descriptionstring · max: 255Optional

Beschreibung der Hauptwarengruppe

activebooleanRead-onlyOptional

Hauptwarengruppe aktiv ja/nein

Default: true
targetTradingMarginnumberOptional

Soll-Handelsspanne

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · max: 50Required

Hauptwarengruppe

descriptionstring · max: 255Optional

Beschreibung der Hauptwarengruppe

activebooleanRead-onlyOptional

Hauptwarengruppe aktiv ja/nein

Default: true
targetTradingMarginnumberOptional

Soll-Handelsspanne

put/erp/product-types/main-product-groups/{id}
PUT /erp/product-types/main-product-groups/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 473

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "description": "text",
  "targetTradingMargin": 1,
  "custom": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "active": true,
  "targetTradingMargin": 1,
  "custom": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/product-types/main-product-groups/{id}
DELETE /erp/product-types/main-product-groups/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

deaktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · max: 50Required

Hauptwarengruppe

descriptionstring · max: 255Optional

Beschreibung der Hauptwarengruppe

activebooleanRead-onlyOptional

Hauptwarengruppe aktiv ja/nein

Default: true
targetTradingMarginnumberOptional

Soll-Handelsspanne

put/erp/product-types/main-product-groups/{id}/deactivate
PUT /erp/product-types/main-product-groups/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "active": true,
  "targetTradingMargin": 1,
  "custom": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}

aktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · max: 50Required

Hauptwarengruppe

descriptionstring · max: 255Optional

Beschreibung der Hauptwarengruppe

activebooleanRead-onlyOptional

Hauptwarengruppe aktiv ja/nein

Default: true
targetTradingMarginnumberOptional

Soll-Handelsspanne

put/erp/product-types/main-product-groups/{id}/activate
PUT /erp/product-types/main-product-groups/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "active": true,
  "targetTradingMargin": 1,
  "custom": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}

Create new Resource

post
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · max: 50Required

Hauptwarengruppe

descriptionstring · max: 255Optional

Beschreibung der Hauptwarengruppe

activebooleanRead-onlyOptional

Hauptwarengruppe aktiv ja/nein

Default: true
targetTradingMarginnumberOptional

Soll-Handelsspanne

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · max: 50Required

Hauptwarengruppe

descriptionstring · max: 255Optional

Beschreibung der Hauptwarengruppe

activebooleanRead-onlyOptional

Hauptwarengruppe aktiv ja/nein

Default: true
targetTradingMarginnumberOptional

Soll-Handelsspanne

post/erp/product-types/main-product-groups
POST /erp/product-types/main-product-groups HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 473

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "description": "text",
  "targetTradingMargin": 1,
  "custom": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "description": "text",
  "active": true,
  "targetTradingMargin": 1,
  "custom": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}

Last updated

Was this helpful?